Bug 26111 - Serials module does not appear in reports dictionary
Summary: Serials module does not appear in reports dictionary
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 5338
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-31 09:53 UTC by Jonathan Druart
Modified: 2020-09-20 11:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 26111: Add "Serials" (SER) to the reports dictionnary (1.15 KB, patch)
2020-07-31 09:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26111: Add "Serials" (SER) to the reports dictionnary (1.22 KB, patch)
2020-07-31 10:04 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26111: Add "Serials" (SER) to the reports dictionnary (1.27 KB, patch)
2020-07-31 10:42 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-07-31 09:53:18 UTC

    
Comment 1 Jonathan Druart 2020-07-31 09:55:13 UTC
Created attachment 107626 [details] [review]
Bug 26111: Add "Serials" (SER) to the reports dictionnary

It's missing in the template

Test plan:
Go go Home › Reports › Guided reports wizard › Dictionary
At step 2, notice that with this patch you have "Serials" in the
dropdown list (instead of an empty entry)
Comment 2 ByWater Sandboxes 2020-07-31 10:04:01 UTC
Created attachment 107627 [details] [review]
Bug 26111: Add "Serials" (SER) to the reports dictionnary

It's missing in the template

Test plan:
Go go Home › Reports › Guided reports wizard › Dictionary
At step 2, notice that with this patch you have "Serials" in the
dropdown list (instead of an empty entry)

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Nick Clemens 2020-07-31 10:42:27 UTC
Created attachment 107632 [details] [review]
Bug 26111: Add "Serials" (SER) to the reports dictionnary

It's missing in the template

Test plan:
Go go Home › Reports › Guided reports wizard › Dictionary
At step 2, notice that with this patch you have "Serials" in the
dropdown list (instead of an empty entry)

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2020-08-03 09:29:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-08-13 16:59:32 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-16 20:53:19 UTC
backported to 19.11.x for 19.11.09
Comment 7 Victor Grousset/tuxayo 2020-09-20 11:10:11 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.